#!/usr/bin/env python3

import time
from logger import logger
from functools import wraps


def timer(func):
    @wraps(func)
    def wrapper(*args, **kwargs):
        if 'debug' not in kwargs:
            return func(*args, **kwargs)

        if not kwargs['debug']:
            return func(*args, **kwargs)

        start = time.time()
        result = func(*args, **kwargs)
        stop = time.time()
        difference = stop - start
        logger.log('{} took {}s to complete.'.format(func.__name__, difference))
        return result

    return wrapper
